from config import get_cfg
from client import api_client
from oauth_helper import get_legacy_token


ENV = 'qa'
cfg = get_cfg(ENV)

if __name__ == "__main__":
    token = get_legacy_token(ENV)

    api_call = {
        "token": token,
        "method": "GET",
        "url": cfg["api_url"] + '/data-delivery/sarredaction/119',
        "headers": {'Content-Type': 'application/json'},
        "body": {}
    }

    api_response = api_client(api_call)
    print(api_response)
